Bug 1003240 - [abrt] gnome-settings-daemon-3.9.90-2.fc21: gnome_rr_screen_get_dpms_mode: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.9.90-2.fc21: gnome_rr_screen_get_dpms_mode: Pr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:1b37c9e3e8f20eab3e209255b4f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 04:47 EDT by piio
Modified: 2013-09-06 08:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 08:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.79 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: cgroup (158 bytes, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: core_backtrace (17.65 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: dso_list (13.88 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: environ (1.08 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: maps (45.69 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: open_fds (1.43 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: proc_pid_status (777 bytes, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details
File: var_log_messages (17.54 KB, text/plain)
2013-09-01 04:47 EDT, piio
no flags Details

  None (edit)
Description piio 2013-09-01 04:47:16 EDT
Version-Release number of selected component:
gnome-settings-daemon-3.9.90-2.fc21

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: gnome_rr_screen_get_dpms_mode
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.11.0-0.rc7.git4.2.fc21.i686+PAE
runlevel:       N 5
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gnome_rr_screen_get_dpms_mode at gnome-rr.c:955
 #1 gnome_rr_screen_set_dpms_mode at gnome-rr.c:1003
 #2 backlight_enable at gsd-power-manager.c:1888
 #3 on_rr_screen_acquired at gsd-power-manager.c:3244
 #4 g_task_return_now at gtask.c:1108
 #5 g_task_return at gtask.c:1161
 #6 on_proxy_acquired at gnome-rr.c:597
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #8 complete_in_idle_cb at gsimpleasyncresult.c:789
 #14 gtk_main at gtkmain.c:1157
Comment 1 piio 2013-09-01 04:47:21 EDT
Created attachment 792548 [details]
File: backtrace
Comment 2 piio 2013-09-01 04:47:24 EDT
Created attachment 792549 [details]
File: cgroup
Comment 3 piio 2013-09-01 04:47:28 EDT
Created attachment 792550 [details]
File: core_backtrace
Comment 4 piio 2013-09-01 04:47:32 EDT
Created attachment 792551 [details]
File: dso_list
Comment 5 piio 2013-09-01 04:47:36 EDT
Created attachment 792552 [details]
File: environ
Comment 6 piio 2013-09-01 04:47:39 EDT
Created attachment 792553 [details]
File: limits
Comment 7 piio 2013-09-01 04:47:43 EDT
Created attachment 792554 [details]
File: maps
Comment 8 piio 2013-09-01 04:47:48 EDT
Created attachment 792555 [details]
File: open_fds
Comment 9 piio 2013-09-01 04:47:54 EDT
Created attachment 792556 [details]
File: proc_pid_status
Comment 10 piio 2013-09-01 04:47:58 EDT
Created attachment 792557 [details]
File: var_log_messages
Comment 11 piio 2013-09-01 04:58:48 EDT
After downgrading gnome-desktop3 to version gnome-desktop3-3.9.5-1.fc20.i686.rpm GDM starts correctly.

With version 3.9.90-1.fc21.i686 login to system is impossible in graphical mode - GDM doesn't start
Comment 12 Christopher Meng 2013-09-03 21:37:17 EDT
Please fix this problem in .90 as I can't use GNOME after updating to this version for already 2 weeks.
Comment 13 piio 2013-09-04 09:32:39 EDT
Version 3.9.91 from koji resolves this for me.
Comment 14 Rui Matos 2013-09-06 08:18:35 EDT
(In reply to piio from comment #13)
> Version 3.9.91 from koji resolves this for me.

Great thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.